Bug 87977 - (IDE NFORCE)RedHat 9 installs but boot hangs on nForce mobo if USB is used
(IDE NFORCE)RedHat 9 installs but boot hangs on nForce mobo if USB is used
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-04 02:56 EST by Greg Corson
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Corson 2003-04-04 02:56:07 EST
Description of problem:

RedHat 9 (shrike) goes through a successful install then fails to boot, 
locking up on "Finding Module Dependancies" just after mounting the root 
partition.  Have tried using both the nForce IDE controler as well as a 
Promise Ultra 100TX2 IDE controller (came with the drive) The drive is a 200gb 
western digital wd2000JBRTL.

Version-Release number of selected component (if applicable):

Red Hat 9

How reproducible:

Every time

Steps to Reproduce:
1. Install RedHat from Shrike disks, put / /boot /usr /home and swap on 200g HD
2. When install complete, remove disks from drives and try to boot
3.
    
Actual results:

On Rebooting, the boot hangs at "Finding Module Dependancies".  Keyboard stops 
responding, ctrl-alt-del doesn't work, caps lock light doesn't come on when 
key is pressed.

Results are identical whether the 200gig (where linux is installed) is on 
nForce IDE controller or the Promise IDE controller (pci card).

Boot from emergency floppy has same results

Boot "linux rescue" from CD will mount the hard drive which can be browsed and 
fsck'ed without errors.  hdparm -tT gives reasonable results when run against 
the drive.

Expected results:

System should boot normally.

Additional info:

System is an Athlon 2000XP, Asus A7N266-E nForce motherboard, 1gb RAM, NVIDIA 
GeForce 4600 video card, Promise Ultra100TX2 IDE controller, 120gb IBM hard 
disk (on nForce controller, windows only, NOT mounted under linux) 200gb 
western digital hard drive (tried on both nForce IDE and the Promise 
controller) and an Adaptek FireConnect 4300 1394 controller (nothing connected 
to it).  microsoft USB explorer mouse and standard PS/2 keyboard and a 3com 
network card in addition to the realtek ethernet on the motherboard.

When linux rescue boot is used, hdparm says the drive is in udma5 mode with 
dma on and 32 bit mode set.

The 200g hard drive is new and passes it's stand-alone diagnostics supplied by 
western digital.

I have a system at work which is identical in every way except it's hard disks 
are smaller (80gb and a 20gb) and runs RedHat fine.  The 200g drive had the 
same problem with RedHat 8
Comment 1 Greg Corson 2003-04-07 00:00:15 EDT
Ok, over the weekend I tore the computer down piece-by-piece to find out what 
was causing the hangs.  After a LOT of messing about the problem seems to be 
USB.  If ANY USB devices are connected the boot will hang at "Finding Module 
Dependancies" during the call to depmod -A  Pull out the USB devices, boot's 
fine.  Also, if you hot-plug a USB device (I tried keyboard and mouse) once 
the system is up and running, you will get an instant lock-up.

When the system locks up, there is nothing in the log files.

In case this is useful info, here is what is returned when the kernel probes 
the NFORCE chipset about USB.

NFORCE chipset revision 195

USB-00:02.0 PCI DEV 10DE:0102
USB OHCI at membase 0xf8849000 IRQ 10

This covers the first 3 usb ports, it finds a second device USB-00:03.0 for 
the second 3 ports, with the same info as above.

My system at the office (identical ASUS A7N266-E mobo) does not have any 
problems with USB under linux, the only difference between the two machines is 
that the one with problems has BIOS update 1004 and the one at work has 1001.

The BIOS upgrade was necessary to get LBA48 disk support and to fix an IRQ 
allocation problem with 1394 cards. The 1004 bios also broke GRUB 0.92 which 
would report not enough ram to load the kernel, GRUB 0.93 (in RH9) fixes this 
problem.

Any help fixing this USB issue would be appreciated.  I'm happy to conduct 
tests on my machine if necessary.
Comment 2 Jack Johnson 2003-05-04 22:35:41 EDT
I have the exact same problem (and now, solution!) with an Asus A7N266-VM.
Comment 3 Greg Corson 2003-05-13 15:56:20 EDT
This bug is a real show-stopper for a lot of people because it allows NO usb
devices to be used. (I've seen numerous postings about it on the net and quite a
few here that look related).  

I'm generally not one to complain but this has been here for over a month and it
doesn't look like anyone from RedHat has even looked at it yet.

Usually, a bug that causes a hard lock-up is given more priority than this.
Comment 4 Arjan van de Ven 2003-05-14 03:32:23 EDT
You seem to assume that with nvidia chipsets there is anything we can do, and/or
that bugzilla is a support mechanism.

Unfortionatly there isn't much we can do for nvidia chipsets in general. In
addition this sort of bug is a bios issue most of the time.
Comment 5 Vinay BV 2003-05-22 08:38:45 EDT
I saw the same hang in Bug# 91264. The cause attributed is different here. But I
feel its the same cause.

I have suffered from this hang myself and have debugged this by adding echo
statements in the init scripts(by using the resuce mdoe of the CD and doing a
mount of the root disk on /mnt/sysimage....) The final command being executed is
depmod -A. This hangs. However in the rescue mode if I do a chroot and then do a
depmod -A, it does not hang(irresepctive of the state of USB devices). So I feel
its a problem with IDE driver of NVidia and booting from blocks greater than a
certain number (1K used to be the limit, I don't know what's the case now)

Hope this helps,
Vinay
Comment 6 Bugzilla owner 2004-09-30 11:40:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.